<?php 

if(empty($_GET[submit])) 

{ 

?><style type="text/css">
<!--
body {
	margin-left: 7px;
	margin-top: 10px;
	margin-right: 2px;
	margin-bottom: 2px;
}
.STYLE1 {font-size: 12px}
-->
</style> 
<base target="_self">
<form enctype="multipart/form-data" action="edit8.php?submit=1" method="post"> 
  <p class="STYLE1">上传的图片: 
    <input name="filename" type="file"> 
    <input type="submit" value="确定上传"> 
</p>
  <p class="STYLE1">  图片尺寸为：宽478 X 高60 分辨率：72 如果你的图片超过这个尺寸，程序会自动缩放到该尺寸！</p>
</form> 
<?php 
}else{ 
$path="../u/"; //上传路径 

//echo $_FILES["filename"]["type"]; 


if(!file_exists($path)) 
{ 
//检查是否有该文件夹，如果没有就创建，并给予最高权限 
mkdir("$path", 0700); 
}//END IF 
//允许上传的文件格式 
$tp = array("image/gif","image/pjpeg","image/png"); 
//检查上传文件是否在允许上传的类型 
if(!in_array($_FILES["filename"]["type"],$tp)) 
{ 
echo "格式不对！"; 
exit; 
}//END IF 
if($_FILES["filename"]["name"]) 
{ 
$ss=time();
$file1=$_FILES["filename"]["name"]; 
$file2 = $path.$ss.$file1; 
$flag=1; 
}//END IF 
if($flag) $result=move_uploaded_file($_FILES["filename"]["tmp_name"],$file2); 
//特别注意这里传递给move_uploaded_file的第一个参数为上传到服务器上的临时文件 
if($result) 
{ 
?>
<script language='javascript'> 
alert("上传成功！");window.returnValue ="<?=$ss.$file1?>";window.close();
</script> 
<?
}//END IF 


} 

?>